> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Registry Actions

> List all actions from registry index.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /registry/actions
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /registry/actions:
    get:
      tags:
        - registry-actions
      summary: List Registry Actions
      description: List all actions from registry index.
      operationId: registry-actions-list_registry_actions
      parameters:
        - name: include_locked
          in: query
          required: false
          schema:
            type: boolean
            description: Include actions locked by missing entitlements
            default: false
            title: Include Locked
          description: Include actions locked by missing entitlements
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RegistryActionReadMinimal'
                title: Response Registry-Actions-List Registry Actions
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    RegistryActionReadMinimal:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
          description: The registry action id
        name:
          type: string
          title: Name
          description: The name of the action
        description:
          type: string
          title: Description
          description: The description of the action
        namespace:
          type: string
          title: Namespace
          description: The namespace of the action
        type:
          type: string
          enum:
            - udf
            - template
          title: Type
          description: The type of the action
        origin:
          type: string
          title: Origin
          description: The origin of the action as a url
        default_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Title
          description: The default title of the action
        display_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Group
          description: The presentation group of the action
        availability:
          $ref: '#/components/schemas/RegistryActionAvailability'
          description: Availability metadata for this action
        action:
          type: string
          title: Action
          description: The full action identifier.
          readOnly: true
      type: object
      required:
        - id
        - name
        - description
        - namespace
        - type
        - origin
        - action
      title: RegistryActionReadMinimal
      description: API minimal read model for a registered action.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RegistryActionAvailability:
      properties:
        locked:
          type: boolean
          title: Locked
          description: Whether this action is locked behind an upgraded plan
          default: false
        missing_entitlements:
          items:
            type: string
          type: array
          title: Missing Entitlements
          description: Entitlements required to unlock this action
      type: object
      title: RegistryActionAvailability
      description: Availability metadata for a registry action.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````